com.intellectualsites.translation.bukkit

## Class TranslationPlugin

- java.lang.Object
- - org.bukkit.plugin.PluginBase
  - - org.bukkit.plugin.java.JavaPlugin
    - - com.intellectualsites.translation.bukkit.TranslationPlugin

- All Implemented Interfaces:
    org.bukkit.command.CommandExecutor, org.bukkit.command.TabCompleter, org.bukkit.command.TabExecutor, org.bukkit.plugin.Plugin

      public class TranslationPlugin
      extends org.bukkit.plugin.java.JavaPlugin

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TranslationPlugin()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onDisable()`
    `void` | `onEnable()`

    - ### Methods inherited from class org.bukkit.plugin.java.JavaPlugin

      `getClassLoader, getCommand, getConfig, getDatabase, getDatabaseClasses, getDataFolder, getDefaultWorldGenerator, getDescription, getFile, getLogger, getPlugin, getPluginLoader, getProvidingPlugin, getResource, getServer, getTextResource, initialize, installDDL, isEnabled, isInitialized, isNaggable, onCommand, onLoad, onTabComplete, reloadConfig, removeDDL, saveConfig, saveDefaultConfig, saveResource, setEnabled, setNaggable, toString`

    - ### Methods inherited from class org.bukkit.plugin.PluginBase

      `equals, getName, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TranslationPlugin

          public TranslationPlugin()

  - ### Method Detail

    - #### onEnable

          public void onEnable()

      Specified by:
        `onEnable` in interface `org.bukkit.plugin.Plugin`
      Overrides:
        `onEnable` in class `org.bukkit.plugin.java.JavaPlugin`

    - #### onDisable

          public void onDisable()

      Specified by:
        `onDisable` in interface `org.bukkit.plugin.Plugin`
      Overrides:
        `onDisable` in class `org.bukkit.plugin.java.JavaPlugin`